Bug 178397 - [MAINTAINER-UPDATE] sysutils/moosefs-client update to 1.6.27
[MAINTAINER-UPDATE] sysutils/moosefs-client update to 1.6.27
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Guido Falsi
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-07 15:20 UTC by chifeng
Modified: 2013-05-17 21:10 UTC (History)
0 users

See Also:


Attachments
file.diff (793 bytes, patch)
2013-05-07 15:20 UTC, chifeng
no flags Details | Diff
mfs-client.diff (1.87 KB, patch)
2013-05-14 22:59 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description chifeng 2013-05-07 15:20:01 UTC
Since I just sent a PR of the port sysutils/moosefs-master, we also need to update sysutils/moosefs-chunkserver and sysutils/moosefs-client.

Thanks,

Fix: apply this patch.

Patch attached with submission follows:
How-To-Repeat: NONE.
Comment 1 Guido Falsi freebsd_committer 2013-05-13 16:56:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 2 Guido Falsi freebsd_committer 2013-05-14 22:59:18 UTC
Hi,

Regarding the moosefs-client port I have changed yourt patch to properly 
handle the configuration file, as suggested in the porter's handbook, 
and the same way the other moosefs ports are doing. I'm attaching a 
patch for you to review and approve.

Thanks!

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 3 Guido Falsi freebsd_committer 2013-05-14 23:01:39 UTC
State Changed
From-To: open->feedback

Ask for maintainer approval.
Comment 4 Guido Falsi freebsd_committer 2013-05-17 09:15:58 UTC
State Changed
From-To: feedback->open

Maintainer has approved via private email.
Comment 5 dfilter freebsd_committer 2013-05-17 21:09:21 UTC
Author: madpilot
Date: Fri May 17 20:09:11 2013
New Revision: 318402
URL: http://svnweb.freebsd.org/changeset/ports/318402

Log:
  - Update to 1.6.27
  - Trim Makefile headers
  - Use space in WWW Line
  
  PR:		ports/178397, ports/178398, ports/178399
  Submitted by:	Chifeng Qu <chifeng@gmail.com> (maintainer)

Added:
  head/sysutils/moosefs-chunkserver/files/pkg-deinstall.in   (contents, props changed)
Modified:
  head/sysutils/moosefs-chunkserver/Makefile   (contents, props changed)
  head/sysutils/moosefs-chunkserver/pkg-descr   (contents, props changed)
  head/sysutils/moosefs-chunkserver/pkg-plist   (contents, props changed)
  head/sysutils/moosefs-client/Makefile
  head/sysutils/moosefs-client/pkg-descr   (contents, props changed)
  head/sysutils/moosefs-client/pkg-plist   (contents, props changed)
  head/sysutils/moosefs-master/Makefile   (contents, props changed)
  head/sysutils/moosefs-master/bsd.port.moosefs.mk   (contents, props changed)
  head/sysutils/moosefs-master/distinfo   (contents, props changed)
  head/sysutils/moosefs-master/pkg-descr   (contents, props changed)
  head/sysutils/moosefs-master/pkg-plist   (contents, props changed)

Modified: head/sysutils/moosefs-chunkserver/Makefile
==============================================================================
--- head/sysutils/moosefs-chunkserver/Makefile	Fri May 17 19:53:04 2013	(r318401)
+++ head/sysutils/moosefs-chunkserver/Makefile	Fri May 17 20:09:11 2013	(r318402)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:    moosefs-chunkserver
-# Date created:         1 April 2010
-# Whom:                 Chifeng Qu <chifeng@gmail.com>
-#
+# Created by: Chifeng Qu <chifeng@gmail.com>
 # $FreeBSD$
-#
 
 PORTNAME=	moosefs
 PORTVERSION=	#
@@ -20,7 +16,7 @@ USE_RC_SUBR=	mfschunkserver
 MAN5=		mfschunkserver.cfg.5 mfshdd.cfg.5
 MAN8=		mfschunkserver.8
 
-SUB_FILES+=	pkg-message
+SUB_FILES+=	pkg-message pkg-deinstall
 SUB_LIST+=	MFS_WORKDIR="${MFS_WORKDIR}"
 
 CONFIGURE_ARGS=	--localstatedir=${MFS_WORKDIR} \
@@ -42,7 +38,7 @@ post-patch:
 post-install:
 .for FILE in mfschunkserver mfshdd
 	@if [ ! -f ${PREFIX}/etc/${i}.cfg ]; then \
-		${CP} ${PREFIX}/etc/${FILE}.cfg.dist ${PREFIX}/etc/${FILE}.cfg ; \
+		${CP} ${PREFIX}/etc/mfs/${FILE}.cfg.dist ${PREFIX}/etc/${FILE}.cfg ; \
 	fi
 .endfor
 	@${CAT} ${PKGMESSAGE}

Added: head/sysutils/moosefs-chunkserver/files/pkg-deinstall.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/moosefs-chunkserver/files/pkg-deinstall.in	Fri May 17 20:09:11 2013	(r318402)
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+PATH="/bin:/sbin:/usr/bin:/usr/sbin"
+
+WORKDIR=%%MFS_WORKDIR%%/mfs
+
+if [ "$2" = "POST-DEINSTALL" ]; then
+	echo "=> Deleting ${WORKDIR} if empty..."
+	rm -d ${WORKDIR} 2>/dev/null || true
+fi

Modified: head/sysutils/moosefs-chunkserver/pkg-descr
==============================================================================
--- head/sysutils/moosefs-chunkserver/pkg-descr	Fri May 17 19:53:04 2013	(r318401)
+++ head/sysutils/moosefs-chunkserver/pkg-descr	Fri May 17 20:09:11 2013	(r318402)
@@ -4,4 +4,4 @@ mfschunkserver is any number of commodit
 data and synchronizing it among themselves (if a certain file
 is supposed to exist in more than one copy).
 
-WWW:	http://www.moosefs.org/
+WWW: http://www.moosefs.org/

Modified: head/sysutils/moosefs-chunkserver/pkg-plist
==============================================================================
--- head/sysutils/moosefs-chunkserver/pkg-plist	Fri May 17 19:53:04 2013	(r318401)
+++ head/sysutils/moosefs-chunkserver/pkg-plist	Fri May 17 20:09:11 2013	(r318402)
@@ -1,7 +1,8 @@
 @exec  if [ ! -f %D/etc/mfshdd.cfg ]; then /bin/cp %D/%F %D/etc/mfshdd.cfg; fi
 @exec  if [ ! -f %D/etc/mfschunkserver.cfg ]; then /bin/cp %D/%F %D/etc/mfschunkserver.cfg; fi
-@unexec if cmp -s %D/etc/mfshdd.cfg.dist %D/etc/mfshdd.cfg; then rm -f %D/etc/mfshdd.cfg; fi
-@unexec if cmp -s %D/etc/mfschunkserver.cfg.dist %D/etc/mfschunkserver.cfg; then rm -f %D/etc/mfschunkserver.cfg; fi
-etc/mfschunkserver.cfg.dist
-etc/mfshdd.cfg.dist
+@unexec if cmp -s %D/etc/mfs/mfshdd.cfg.dist %D/etc/mfshdd.cfg; then rm -f %D/etc/mfshdd.cfg; fi
+@unexec if cmp -s %D/etc/mfs/mfschunkserver.cfg.dist %D/etc/mfschunkserver.cfg; then rm -f %D/etc/mfschunkserver.cfg; fi
+etc/mfs/mfschunkserver.cfg.dist
+etc/mfs/mfshdd.cfg.dist
 sbin/mfschunkserver
+@dirrm etc/mfs

Modified: head/sysutils/moosefs-client/Makefile
==============================================================================
--- head/sysutils/moosefs-client/Makefile	Fri May 17 19:53:04 2013	(r318401)
+++ head/sysutils/moosefs-client/Makefile	Fri May 17 20:09:11 2013	(r318402)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	moosefs
-PORTREVISION=	#
+PORTVERSION=	#set via include
 CATEGORIES=	sysutils
 PKGNAMESUFFIX=	-client
 .include "${.CURDIR}/../moosefs-master/bsd.port.moosefs.mk"
@@ -34,4 +34,9 @@ post-patch:
 	${REINPLACE_CMD} -e 's;^general_mans;#general_mans;g' ${WRKSRC}/doc/Makefile.am \
 		${WRKSRC}/doc/Makefile.in
 
+post-install:
+	@if [ ! -f ${PREFIX}/etc/mfsmount.cfg ]; then \
+		${CP} ${PREFIX}/etc/mfs/mfsmount.cfg.dist ${PREFIX}/etc/mfsmount.cfg ; \
+	fi
+
 .include <bsd.port.mk>

Modified: head/sysutils/moosefs-client/pkg-descr
==============================================================================
--- head/sysutils/moosefs-client/pkg-descr	Fri May 17 19:53:04 2013	(r318401)
+++ head/sysutils/moosefs-client/pkg-descr	Fri May 17 20:09:11 2013	(r318402)
@@ -5,4 +5,4 @@ to communicate with the managing server 
 file metadata) and with chunkservers (to exchange actual file
 data).
 
-WWW:	http://www.moosefs.org/
+WWW: http://www.moosefs.org/

Modified: head/sysutils/moosefs-client/pkg-plist
==============================================================================
--- head/sysutils/moosefs-client/pkg-plist	Fri May 17 19:53:04 2013	(r318401)
+++ head/sysutils/moosefs-client/pkg-plist	Fri May 17 20:09:11 2013	(r318402)
@@ -18,4 +18,7 @@ bin/mfsappendchunks
 bin/mfsmount
 bin/mfstools
 bin/mfssnapshot
-etc/mfsmount.cfg.dist
+@unexec if cmp -s %D/etc/mfs/mfsmount.cfg.dist %D/etc/mfsmount.cfg; then rm -f %D/etc/mfsmount.cfg; fi
+etc/mfs/mfsmount.cfg.dist
+@exec  if [ ! -f %D/etc/mfsmount.cfg ]; then /bin/cp %D/%F %D/etc/mfsmount.cfg; fi
+@dirrm etc/mfs

Modified: head/sysutils/moosefs-master/Makefile
==============================================================================
--- head/sysutils/moosefs-master/Makefile	Fri May 17 19:53:04 2013	(r318401)
+++ head/sysutils/moosefs-master/Makefile	Fri May 17 20:09:11 2013	(r318402)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:    moosefs-master
-# Date created:         1 April 2010
-# Whom:                 Chifeng Qu <chifeng@gmail.com>
-#
+# Created by: Chifeng Qu <chifeng@gmail.com>
 # $FreeBSD$
-#
 
 PORTNAME=	moosefs
 PORTVERSION=	#set via include
@@ -41,8 +37,8 @@ pre-install:
 
 post-install:
 .for FILE in mfsmaster mfsexports mfsmetalogger mfstopology
-	@if [ ! -f ${PREFIX}/etc/${i}.cfg ]; then \
-		${CP} ${PREFIX}/etc/${FILE}.cfg.dist ${PREFIX}/etc/${FILE}.cfg ; \
+	@if [ ! -f ${PREFIX}/etc/${FILE}.cfg ]; then \
+		${CP} ${PREFIX}/etc/mfs/${FILE}.cfg.dist ${PREFIX}/etc/${FILE}.cfg ; \
 	fi
 .endfor
 

Modified: head/sysutils/moosefs-master/bsd.port.moosefs.mk
==============================================================================
--- head/sysutils/moosefs-master/bsd.port.moosefs.mk	Fri May 17 19:53:04 2013	(r318401)
+++ head/sysutils/moosefs-master/bsd.port.moosefs.mk	Fri May 17 20:09:11 2013	(r318402)
@@ -1,9 +1,10 @@
-PORTVERSION=	1.6.26
+PORTVERSION=	1.6.27
 PORTREVISION?=	0
 MASTER_SITES=	http://www.moosefs.org/tl_files/mfscode/ \
 		http://ports.quxingwen.com/dist/mfs/
 
-DISTNAME=	mfs-${PORTVERSION}
+DISTNAME=	mfs-${PORTVERSION}-1
+WRKSRC=		${WRKDIR}/mfs-${PORTVERSION}
 
 LICENSE=	GPLv3
 

Modified: head/sysutils/moosefs-master/distinfo
==============================================================================
--- head/sysutils/moosefs-master/distinfo	Fri May 17 19:53:04 2013	(r318401)
+++ head/sysutils/moosefs-master/distinfo	Fri May 17 20:09:11 2013	(r318402)
@@ -1,2 +1,2 @@
-SHA256 (mfs-1.6.26.tar.gz) = f250f97c6f2a229277fdbf9fe96036873fd6c95a38f484f06e6b87a404c01885
-SIZE (mfs-1.6.26.tar.gz) = 754573
+SHA256 (mfs-1.6.27-1.tar.gz) = dfe682f0b184ed13e602274825148cd9a7ddfe4f0894e1ab9c1823f66208cb28
+SIZE (mfs-1.6.27-1.tar.gz) = 771983

Modified: head/sysutils/moosefs-master/pkg-descr
==============================================================================
--- head/sysutils/moosefs-master/pkg-descr	Fri May 17 19:53:04 2013	(r318401)
+++ head/sysutils/moosefs-master/pkg-descr	Fri May 17 20:09:11 2013	(r318402)
@@ -6,4 +6,4 @@ attributes and file location(s), includi
 about non-regular files, i.e. directories, sockets, pipes and
 devices).
 
-WWW:	http://www.moosefs.org/
+WWW: http://www.moosefs.org/

Modified: head/sysutils/moosefs-master/pkg-plist
==============================================================================
--- head/sysutils/moosefs-master/pkg-plist	Fri May 17 19:53:04 2013	(r318401)
+++ head/sysutils/moosefs-master/pkg-plist	Fri May 17 20:09:11 2013	(r318402)
@@ -2,14 +2,14 @@
 @exec  if [ ! -f %D/etc/mfsexports.cfg ]; then /bin/cp %D/%F %D/etc/mfsexports.cfg; fi
 @exec  if [ ! -f %D/etc/mfsmetalogger.cfg ]; then /bin/cp %D/%F %D/etc/mfsmetalogger.cfg; fi
 @exec  if [ ! -f %D/etc/mfstopology.cfg ]; then /bin/cp %D/%F %D/etc/mfstopology.cfg; fi
-@unexec if cmp -s %D/etc/mfsmaster.cfg.dist %D/etc/mfsmaster.cfg; then rm -f %D/etc/mfsmaster.cfg; fi
-@unexec if cmp -s %D/etc/mfsexports.cfg.dist %D/etc/mfsexports.cfg; then rm -f %D/etc/mfsexports.cfg; fi
-@unexec if cmp -s %D/etc/mfsmetalogger.cfg.dist %D/etc/mfsmetalogger.cfg; then rm -f %D/etc/mfsmetalogger.cfg; fi
-@unexec if cmp -s %D/etc/mfstopology.cfg.dist %D/etc/mfstopology.cfg; then rm -f %D/etc/mfstopology.cfg; fi
-etc/mfsmaster.cfg.dist
-etc/mfsexports.cfg.dist
-etc/mfsmetalogger.cfg.dist
-etc/mfstopology.cfg.dist
+@unexec if cmp -s %D/etc/mfs/mfsmaster.cfg.dist %D/etc/mfsmaster.cfg; then rm -f %D/etc/mfsmaster.cfg; fi
+@unexec if cmp -s %D/etc/mfs/mfsexports.cfg.dist %D/etc/mfsexports.cfg; then rm -f %D/etc/mfsexports.cfg; fi
+@unexec if cmp -s %D/etc/mfs/mfsmetalogger.cfg.dist %D/etc/mfsmetalogger.cfg; then rm -f %D/etc/mfsmetalogger.cfg; fi
+@unexec if cmp -s %D/etc/mfs/mfstopology.cfg.dist %D/etc/mfstopology.cfg; then rm -f %D/etc/mfstopology.cfg; fi
+etc/mfs/mfsmaster.cfg.dist
+etc/mfs/mfsexports.cfg.dist
+etc/mfs/mfsmetalogger.cfg.dist
+etc/mfs/mfstopology.cfg.dist
 sbin/mfscgiserv
 sbin/mfsmaster
 sbin/mfsmetarestore
@@ -22,4 +22,5 @@ share/mfscgi/index.html
 share/mfscgi/err.gif
 share/mfscgi/chart.cgi
 share/mfscgi/favicon.ico
+@dirrm etc/mfs
 @dirrm share/mfscgi
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Guido Falsi freebsd_committer 2013-05-17 21:09:41 UTC
State Changed
From-To: open->closed

Committed. Thanks!